%define agiros_distro loong
%bcond_without tests
%bcond_without weak_deps

%global debug_package %{nil}
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/agiros/%{agiros_distro}/.*$
%global __requires_exclude_from ^/opt/agiros/%{agiros_distro}/.*$

%define RosPkgName      sros2

Name:           agiros-%{agiros_distro}-%{RosPkgName}
Version:        0.10.4
Release:        1%{?dist}%{?release_suffix}
Summary:        Command line tools for managing SROS2 keys

License:        Apache License 2.0
Source0:        %{name}_%{version}.orig.tar.gz

Requires: agiros-%{agiros_distro}-rclpy
Requires: agiros-%{agiros_distro}-ros2cli
Requires: agiros-%{agiros_distro}-ament-index-python
Requires: python3-lxml
Requires: python3-cryptography
Requires: python3-importlib-resources
Requires: agiros-%{agiros_distro}-ros-workspace

BuildRequires: agiros-%{agiros_distro}-rclpy
BuildRequires: agiros-%{agiros_distro}-ros2cli
BuildRequires: agiros-%{agiros_distro}-ros-workspace

%if 0%{?with_tests}
BuildRequires: agiros-%{agiros_distro}-ament-copyright
BuildRequires: agiros-%{agiros_distro}-ament-flake8
BuildRequires: agiros-%{agiros_distro}-ament-mypy
BuildRequires: agiros-%{agiros_distro}-ament-pep257
BuildRequires: python3-pytest
BuildRequires: agiros-%{agiros_distro}-ros-testing
BuildRequires: agiros-%{agiros_distro}-test-msgs
%endif

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description
Command line tools for managing SROS2 keys

%prep
%autosetup -p1

%build

# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_build

%install
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_install -- --prefix "/opt/agiros/%{agiros_distro}"

%if 0%{?with_tests}
%check
# Look for a directory with a name indicating that it contains tests
TEST_TARGET=$(ls -d * | grep -m1 "\(test\|tests\)" ||:)
if [ -n "$TEST_TARGET" ] && %__python3 -m pytest --version; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%__python3 -m pytest $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/agiros/%{agiros_distro}

%changelog
* Thu May 04 2023 ROS Security Working Group ros-security@googlegroups.com - 0.10.4-1
- Autogenerated by ros-porting-tools
